Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jacob.examples.sequence
Class Sequence

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.JacobRunnable
              org.apache.ode.jacob.examples.sequence.Sequence

All Implemented Interfaces:
  java.io.Serializable

    public abstract class Sequence

extends JacobRunnable

Abstract process that executes a number of steps sequentially.

See Also:
  Serialized Form

Constructor Summary
`Sequence(int steps, SynchChannel done)` Create a `Sequence` with a number of steps.

Method Summary
`protected abstract JacobRunnable` | `doStep(int step, SynchChannel done)` Execute a step
`void` | `run()` Process execution block

Methods inherited from class org.apache.ode.jacob.JacobRunnable
`getImplementedMethods, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sequence

    public Sequence(int steps,
                    SynchChannel done)

  Create a `Sequence` with a number of steps.

  Parameters:
    `steps` - number of steps
    `done` - synchronous callback

Method Detail

### run

    public void run()

  Process execution block

  Specified by:
    `run` in class `JacobRunnable`

### doStep

    protected abstract JacobRunnable doStep(int step,
                                            SynchChannel done)

  Execute a step

  Parameters:
    `step` - step number
    `done` - notification after step completion
  Returns:
    runnable process

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD